package nxm.sys.test;

/** Simple program to echo input args to standard error.
    Note that this will trim out spaces in between arguments.
    @author Neon Ngo
 */
public class echo2err {

  private echo2err () {}

  /** Main driver for running echo2err instance
   *  @param args input arguments
   */
  public static void main (String[] args) {
    StringBuilder sb = new StringBuilder(64);
    boolean isFirst = true; // is first argument?
    for (String str : args) {
      if (isFirst) isFirst = false;
      else         sb.append(' ');
      sb.append(str);
    }
    System.err.println(sb.toString());
  }
}